<?php
    $json = file_get_contents('php://input');   
    $obj = json_decode($json);
    
    $id = $obj->flag;
    // Returns a Json
    header('Content-Type: application/json');
    date_default_timezone_set('America/Mexico_City');
    
    switch($id){
        case '0': //Registrar acceso QR
            $conn = new mysqli("directoriofitness.com.mx", "direct18", "L4LL4v3M@3str@",$obj->bd);
            $conn -> set_charset("utf8");
            $query ="UPDATE socios SET token_qr = '$obj->qr' WHERE idSocio = $obj->id";

            if($conn->query($query) === TRUE){
                echo 'Success';
            }else{
                echo $query.' '.$conn->error;
            }
            
            $conn->close();
            break;
        
        case '1': //reservar acceso
            $conn = new mysqli("directoriofitness.com.mx", "direct18", "L4LL4v3M@3str@",$obj->bd);
            $conn -> set_charset("utf8");
            
            date_default_timezone_set('America/Mexico_City');
            $fecha_fin = strtotime($obj->fecha);
            $date = date('Y-m-d H:i:s');
            $fecha_hoy = strtotime($date);
            $msg = "success";
    
            //$fecha_fin."-".$fecha_hoy."\n";
            if($fecha_fin < $fecha_hoy){
                $msg = "No puedes reservar, la clase termino";
            }else{
                $query_s = "SELECT * FROM aforo_reservaciones WHERE id_cliente = '$obj->id_cliente' AND fecha_reservacion = '$obj->fecha' AND status_reservacion = 1";
    
                $resultado = $conn->query($query_s);
    
                //var_dump($resultado);
                if($resultado->num_rows > 0){
                    $msg = 'Ya cuentas con una reservacion para esa clase';
                }else{
                //$conn->close();
    
                    $query = "SELECT  * FROM(SELECT 
                    socio_servicio.idServicio as 'id',
                    pagos.FechaInicio,
                    servicios.NombreServicio,
                    socio_servicio.idSocio_Servicio AS 'idss',
                    socio_servicio.idSocioTitular as 'st',
                    pagos.FechaFin
                FROM 
                    socio_servicio
                    	INNER JOIN pagos
                	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                        INNER JOIN servicios
                	        ON socio_servicio.idServicio = servicios.idServicio
                        INNER JOIN socios
                	        ON socio_servicio.idSocio = socios.idSocio
                WHERE
                    socio_servicio.idSocio = '$obj->id_cliente'
                    AND pagos.Cancelado = 0  
                    AND pagos.Visible = 1
    			GROUP BY
    				socio_servicio.idSocio_Servicio DESC
                ) AS tmp
            GROUP BY
            	tmp.id
            ORDER BY
                tmp.idss DESC";
                
                    $resultadoQ = $conn->query($query);
    
                    //$numrows = mysqli_num_rows($query);
    
                    if($resultadoQ->num_rows > 0){
                        while($row = $resultadoQ->fetch_assoc()){
                            $idSer = $row["id"];
                            $subQuery = "SELECT * FROM servicios_sucursal WHERE servicios_idservicio = '$idSer' AND sucursal_idsucursal = '$obj->gym'";
                            $resultado2 = $conn->query($subQuery);
                            if($resultado2->num_rows > 0){
                                if($row_2 = $resultado2->fetch_assoc()){
                                    //echo json_encode($row_2);
                                    if($obj->gym != $row_2['sucursal_idsucursal']){
                                        echo $msg = 'No tienes acceso a esta sucursal';
                                        exit();
                                    }
                                }
                            }
            
                        }
                    }
                    
    
                    if($msg == 'success')
                    {
                        $query = "INSERT INTO aforo_reservaciones(id_cliente, fecha_registro, fecha_reservacion, status_reservacion, id_sucursal) VALUES('$obj->id_cliente',NOW(),'$obj->fecha','1','$obj->gym')";
                    
                        if($conn->query($query) == TRUE){
                            $msg = 'success';
                        }else{
                            echo 'error';
                        }
                    }
                    
    
                    
                }
            }
        
            $conn->close();
            echo $msg;
            break;
            
        case '2': //cancelar acceso
            $conn = new mysqli("directoriofitness.com.mx", "direct18", "L4LL4v3M@3str@",$obj->bd);
            $conn -> set_charset("utf8");
            $query ="UPDATE aforo_reservaciones SET status_reservacion = 0 WHERE id_reservacion = '$obj->id_res'";
            if($conn->query($query) == TRUE){
                echo '1';
            }else{
                echo 'error';
            }
            
            $conn->close();
        break;
    }
    
    ?>